## python-opsi 4.0.6.1-1

=== debian/changelog ===
python-opsi (4.0.6.1-1) experimental; urgency=low

  * Reverting the changes made for UCS in OPSI.System.Posix.locateDHCPDinit
  * setup.py: Exclude test folders.
  * objectToBeautifiedText: indent with only four spaces
  * OPSI/Object.py overhauled module
  * Added OPSI.System.Posix.runCommandInSession to have access to this
    function not only when running Windows.
  * OPSI.Backend.File: Various refactorings, not only to avoid unnecessary
    creation of temporary objects.
  * Backends: speed up option parsing during initalisation.
  * Make excessive use of List Comprehensions for faster processing.
  * OPSI.Backend.HostControl: Using the timeout-parameter available on
    httplib.HTTP(S)Connection in RpcThread and ConnectionThread
  * Improve speed of configState_getClientToDepotserver
  * OPSI.Backend.SQL: Refactored working with the hardware audit
  * Speed up OPSI.Backend.Backend.log_read
  * The size limit of log_write can now be controlled through
    opsiconfd.conf and the value of "max log size" in the section "global".
  * New module: OPSI.Util.Task.Rights
  * OPSI.System.Windows: function "mount" accepts "dynamic" as mountpoint to
    enable the automatic search for a free mountpoint on the system.
    Thanks to Markus Kötter for the initial patch!
  * OPSI.Util.Task.ConfigureBackend.ConfigurationData: add the possibility
    to enable the dynamic mountpoint selection.
  * OPSI.Backend.SQL: the columns referencing hostId are now of the same size
  * New module OPSI.Util.Task.UpdateBackend.MySQL
  * OPSI.Util.Task.UpdateBackend.MySQL: Fix too small hostId columns
  * OPSI.Backend.SQL: replacing duplicate code
  * Removed LDAP schema files and backend configuration.
  * OPSI.Backend.SQL: Functions getData and getRawData only allow SELECT
  * Making method backend_getSharedAlgorithm nonfunctional.
  * OPSI.SharedAlgorithm: No more working with code-as-text and evaluation
    of the text to get objects to work with. Now there are only the objects.
  * WindowsDrivers: Fallback if directories ends with "." or with whitespace.
  * OPSI.Types.forceList is now able to handle sets and generators
  * New function OPSI.System.Posix.getDHCPDRestartCommand
  * OPSI.SharedAlgorithm: Raising an error when a circular dependecy is
    detected between products.
  * OPSI.System.Posix.getNetworkDeviceConfig is now able to parse output
    from newer ifconfig versions like on CentOS 7.
  * OPSI.Backend.SQLite refactored query creation.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 05 Feb 2015 09:46:50 +0100

python-opsi (4.0.5.16-1) experimental; urgency=low

  * OPSI.Util.Repository: correctly set number of retries for dynamic bandwith
  * OPSI.System.Posix.locateDHCPDinit: Prefer univention-dhcp over
    isc-dhcp-server to avoid problems on UCS 3.2

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 10 Nov 2014 10:17:09 +0100

python-opsi (4.0.5.15-1) stable; urgency=low

  * Patching sudoers: allow using service when no TTY present

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 22 Oct 2014 14:30:24 +0200

python-opsi (4.0.5.14-1) experimental; urgency=low

  * 10_opsi.conf: New methods getHardwareAuditDataCount and
    getSoftwareAuditDataCount
  * DHCPD backend: Fix logging problem caused by string / unicode mixup.
  * OPSI.System.Posix.getServiceNames: Prefer "systemctl" over "service"
    to have a solution that flawlessly works on CentOS 7.
  * OPSI.System.Posix.locateDHCPDInit: Added search via getServiceNames

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 22 Oct 2014 12:23:35 +0200

python-opsi (4.0.5.13-1) experimental; urgency=low

  * OPSI.System.Posix.Distribution: stripping the distribution attribute.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 14 Oct 2014 15:34:21 +0200

python-opsi (4.0.5.12-1) experimental; urgency=low

  * More work on OPSI.System.Posix.getSambaServiceName

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 08 Oct 2014 14:50:17 +0200

python-opsi (4.0.5.11-2) experimental; urgency=low

  * Dropping python-simplejson as dependency because it is Pythons stdlib as
    json since Python 2.6

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 08 Oct 2014 11:43:34 +0200

python-opsi (4.0.5.11-1) experimental; urgency=low

  * MySQL-backend: lower log-level for messages regarding transactions
  * Posix: added Methods getServiceNames and getSambaServiceName

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 06 Oct 2014 15:58:24 +0200

python-opsi (4.0.5.10-1) stable; urgency=low

  * DHCPD.py: small fix in restarting dhcp-service

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Wed, 01 Oct 2014 16:54:50 +0200

python-opsi (4.0.5.9-1) stable; urgency=low

  * opsi-setup: changed restarting services over service calls
    instead of using init-scripts directly.

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Wed, 01 Oct 2014 16:14:13 +0200

python-opsi (4.0.5.8-2) testing; urgency=low

  * python-crypto requirement modified for sles to python-pycrypto

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Mon, 29 Sep 2014 10:13:17 +0200

python-opsi (4.0.5.8-1) testing; urgency=low

  * FileBackend raises Exception if getRawData method is called.

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Tue, 23 Sep 2014 15:16:56 +0200

python-opsi (4.0.5.7-1) experimental; urgency=low

  * Preferring ldaptor over OPSI.ldaptor

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 10 Sep 2014 13:36:47 +0200

python-opsi (4.0.5.6-2) experimental; urgency=low

  * rpm-based packages: require python-pyasn1

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 09 Sep 2014 16:55:20 +0200

python-opsi (4.0.5.6-1) experimental; urgency=low

  * Fix for certificate creation on SLES11SP3

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 25 Aug 2014 15:26:42 +0200

python-opsi (4.0.5.5-1) testing; urgency=medium

  * setProductActionRequestWithDependencies: added optional force
    parameter, to set dependend products even if they are installed


