=== debian/control ===
Source: python-opsi
Section: opsi
Priority: optional
Maintainer: uib GmbH <info@uib.de>
Build-Depends: gettext, debhelper (>= 7.0.50~), dh-python | python-support, python (>= 2.6), python-setuptools, lsb-release
X-Python-Version: >= 2.6
Standards-Version: 3.8.4

Package: python-opsi
Section: opsi
Architecture: all
Depends: lsb-release, python-twisted-web, python-twisted-conch, python-magic, python-crypto, python-ldap, python-newt, python-pam, python-openssl | python-pyopenssl, python-support, python-mysqldb, python-sqlalchemy, iproute, duplicity, python-m2crypto, lshw, python(>=2.6), python-ldaptor, ${misc:Depends}, ${python:Depends}
Recommends: cabextract
Provides: ${python:Provides}
Description: opsi python library
 This package contains the opsi python library.
