## python-opsi 4.0.6.46-1

=== debian/changelog ===
python-opsi (4.0.6.46-1) UNRELEASED; urgency=medium

  * DepotserverBackend.depot_installPackage and
    DepotserverPackageManager.installPackage gained a new option
    'onlyMetadata' to make it possible to install metadata of a
    package to a depot.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 30 Mar 2016 15:07:33 +0200

python-opsi (4.0.6.45-1) experimental; urgency=medium

  * 40_admin_tasks.conf: added method setupWhereInstalled.
  * 40_admin_tasks.conf: added method getClientsWithOutdatedProduct.
  * 40_admin_tasks.conf: added method
    setActionRequestWhereOutdatedWithDependencies.
  * Updated French translation for hwaudit.
  * OPSI.System.Posix: bypassed startsector 0 in Xenial Sfdisk

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 07 Mar 2016 17:12:50 +0100

python-opsi (4.0.6.44-1) experimental; urgency=medium

  * .spec: Naming all known config files.
  * Small improvements around the creation of AuditHardwareOnHosts.
  * OPSI.Types.forceOpsiTimestamp has received improved handling of
    datetime.datetime objects.
  * OPSI.Types.forceTime can now handle datetime.datetime objects.
  * OPSI.Object.mandatoryConstructorArgs has been refactored.
  * Moved the methods "uninstallWhereInstalled",
    "updateWhereInstalled", "setupWhereNotInstalled" and
    "setActionRequestWhereOutdated" into the new backend extension
    "40_admin_tasks.conf".
  * Method "setActionRequestWhereOutdated" ignores products on client
    with installation-status 'unknown'.
  * Added polish translation. Thanks to Jerzy Włudarczylk!
  * OPSI.System.Posix: corrected typo in sfdisk call
  * OPSI.System.Posix: added more reboot calls in reboot() function
  * OPSI.System.Posix: refactored sfdisk compatability from 4.0.6.41-1
  * OPSI.System.Posix: added new function setLocalSystemTime.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 03 Mar 2016 13:58:55 +0100

python-opsi (4.0.6.43-1) experimental; urgency=medium

  * Small bugfix in 10_wim.conf.
  * OPSI.Util.WIM got a new function getImageInformation.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 23 Feb 2016 13:32:33 +0100

python-opsi (4.0.6.42-1) experimental; urgency=medium

  * 20_legacy.conf: Added new methods "uninstallWhereInstalled",
    "updateWhereInstalled", "setupWhereNotInstalled" and
    "setActionRequestWhereOutdated".
  * New module: OPSI.Util.WIM.
  * New file: 10_wim.conf with methods "updateWIMConfigFromPath" and
    "updateWIMConfig".
  * OPSI.Util.File.Opsi.PackageControlFile does not add empty line after
    changelog anymore.
  * Improved error messages during creation of an object from a dict if that
    dict does miss an argument required by the constructor.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 22 Feb 2016 17:29:04 +0100

python-opsi (4.0.6.41-1) experimental; urgency=medium

  [ Mathias Radtke ]
  * OPSI.System.Posix.py: Added sfdisk (2.26) compatability on HP Smart-Array
  * OPSI.System.Posix.py: Added 'enp' device in getEthernetDevices()

  [ Niko Wenselowski ]
  * OPSI.Util.flattenSequence is now handles generators by consuming them.
  * OPSI.Util.formatFileSize now handles terrabyte sized data.
  * 20_legacy.conf: new function setActionRequestWhereOutdated.
  * Show what sort algorithm get's called.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 12 Feb 2016 14:45:33 +0100

python-opsi (4.0.6.40-1) experimental; urgency=medium

  [ Mathias Radtke ]
  * OPSI.System.Posix.py: fixed bug in HP Smart Array Disk handling
  * OPSI.System.Posix.py: added simple sfdisk 2.26 (wily) compatability

  [ Niko Wenselowski ]
  * 70_wan.conf: Added docstring for changeWANConfig.
  * 70_wan.conf: The 'enabled' parameter now will be converted to bool internally.
  * Rights.py: added 'windows-image-detector.py' to known executables.
  * JSONRPC-Backend: Changed method to use when checking for deflate support.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 18 Jan 2016 14:27:19 +0100

python-opsi (4.0.6.39-2) experimental; urgency=medium

  * gettext.python-opsi_en: copied from python-opsi.pot instead of linking because of placeholder Variables

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 06 Jan 2016 08:05:00 +0100

python-opsi (4.0.6.39-1) experimental; urgency=medium

  [Mathias Radtke]
  * gettext: added faked english 'translation'

  [ Niko Wenselowski]
  * Replacing many try/finally-constructs with contextmanagers.
  * OPSI.Util.Repository: Removed wildcard imports.
  * OPSI.Util.Repository: some small refactorings.
  * OPSI.Backend.BackendManager now uses a default configuration if no
    keyword arguments are supplied to the constructor.
  * openSuse: do not alter the path of filename in dhcpd.conf.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 05 Jan 2016 15:10:27 +0100

python-opsi (4.0.6.38-1) experimental; urgency=medium

  * Reverting changes to
    OPSI.SharedAlgorithm.generateProductOnClientSequence_algorithm1

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 15 Dec 2015 13:43:42 +0100

python-opsi (4.0.6.37-1) experimental; urgency=medium

  * OPSI.SharedAlgorithm.generateProductOnClientSequence_algorithm1
    should now return the products in the expected order.
  * OPSI.Util.HTTP: new function closeConnection.
  * OPSI.Util.HTTP: new context manager closingConnection.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 08 Dec 2015 15:12:00 +0100

python-opsi (4.0.6.36-1) experimental; urgency=medium

  * OPSI.Util.HTTP: Added log statements for easier debugging.
  * OPSI.Util.HTTP: Refactorings in hybi10Encode & hybi10Decode
  * OPSI.Backend.JSONRPC: Better readable debug output with loglevel 8.
  * OPSI.Logger: do not fail if calling setLogFile with None.
  * OPSI.Backend.ExtendedBackend: calling backend_info without backend
    set will not fail anymore.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 03 Dec 2015 10:10:43 +0100

python-opsi (4.0.6.35-1) experimental; urgency=medium

  * OPSI.Backend.JSONRPC: Enrich debug information for method creation.

