## python-opsi 4.0.7.17-1

=== debian/changelog ===
python-opsi (4.0.7.17-1) experimental; urgency=medium

  * OPSI.Util: Refactored encryptWithPublicKeyFromX509CertificatePEMFile
    and decryptWithPrivateKeyFromPEMFile.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 18 Aug 2016 10:10:53 +0200

python-opsi (4.0.7.16-1) testing; urgency=medium

  * OPSI.System.Posix: new function isOpenSUSELeap.
  * OPSI.Util.Task.Rights: Improved support for openSUSE Leap.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 15 Aug 2016 16:53:24 +0200

python-opsi (4.0.7.15-1) stable; urgency=medium

  * corrected opsi-set-rights for openSUSE

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 10 Aug 2016 13:44:48 +0200

python-opsi (4.0.7.14-1) stable; urgency=medium

  * OPSI.Util.Task.Rights: Corrected path for UCS.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 05 Aug 2016 15:56:55 +0200

python-opsi (4.0.7.13-1) testing; urgency=medium

  * OPSI.Util.Task.Rights: Corrected path for SLES 11.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Wed, 27 Jul 2016 17:11:57 +0200

python-opsi (4.0.7.12-1) stable; urgency=medium

  * Correct indentation in some places.
  * Use future-proof octal values.
  * Correct version in OPSI.Util.Task.Rights and OPSI.Backend.JSONRPC.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 25 Jul 2016 14:39:25 +0200

python-opsi (4.0.7.11-1) testing; urgency=medium

  * OPSI.Util.Task.Rights: Better support for different SLES versions.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 25 Jul 2016 13:13:55 +0200

python-opsi (4.0.7.10-1) testing; urgency=medium

  * OPSI.Util.Task.Rights: Do not fail if MySQL backend is configured but
    not yet set up.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 22 Jul 2016 11:17:24 +0200

python-opsi (4.0.7.9-1) testing; urgency=medium

  * OPSI.System.Posix: new functions: isDebian, isOpenSuse, isUbuntu, isUCS.
  * OPSI.Util.Task.Rights: Refactored module.
  * OPSI.Util.Task.Rights: setRights will try to set rights on the webserver
    directory as installed by the package opsi-linux-support.
  * 40_admin_tasks.conf: Bugfix for setupWhereNotInstalled

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 21 Jul 2016 16:22:58 +0200

python-opsi (4.0.7.8-1) stable; urgency=low

  * OPSI.System.Windows:
    - getOpsiHotfixName supports now Windows 10
    - fixed Syncing Time function with service
  * Proxysupport for HTTP-Connections
  * Fix for setActionRequestWithDependencies
  * do not add obsolete config software-on-demand.show-details
  * ConfigDataBackend: internal refactoring in log_read and log_write

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Tue, 19 Jul 2016 15:36:42 +0200

python-opsi (4.0.7.7-1) stable; urgency=low

  * WindowsDrivers byAudit sku fallback fixed.

 -- Erol Ueluekmen <e.ueluekmen@uib.de>  Tue, 05 Jul 2016 15:29:36 +0200

python-opsi (4.0.7.6-1) stable; urgency=medium

  * Changed formatting in Logger to not expose parts of confidential strings
    under special circumstances.
  * OPSI.Util.Task.ConfigureBackend.MySQL: fixed error on hostname with dash

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 04 Jul 2016 17:49:17 +0200

python-opsi (4.0.7.5-1) testing; urgency=medium

  * JSONRPC backend has received small refactorings.
  * 10_opsi.conf: Refactored setProductActionRequestWithDependencies.
    With this change the 'force' parameter is deprecated and does not have
    any effect. It may be removed in future releases.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 30 Jun 2016 15:39:29 +0200

python-opsi (4.0.7.4-1) testing; urgency=medium

  * OPSI.Util.Task.UpdateBackend.MySQL: Also correct license key column in
    table SOFTWARE_CONFIG.
  * ACL: Pre-compiling patterns
  * ACL: Changed log output for easier debugging.
  * Various small improvements in OPSI.Backend.BackendManager.
  * OPSI.Util.Task.Samba: Removed oplocks from share definition.
    This will only affect new share configurations.
  * OPSI.System.Posix: Improved detection for predictable network interfaces.
  * Configuration of MySQL backends warns if strict mode seems to be
    enabled.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 24 Jun 2016 14:28:26 +0200

python-opsi (4.0.7.3-1) testing; urgency=medium

  * Repaired sort algorithm 1.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 10 Jun 2016 13:36:41 +0200

python-opsi (4.0.7.2-1) testing; urgency=medium

  * OPSI.Util.Task.UpdateBackend.MySQL: making sure that columns for license
    keys are 1024 characters long.
  * HostControl: If resolveHostAddress is set to True we fall back to
    using the specified in case of a lookup failure.
  * Various small changes.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 09 Jun 2016 15:34:59 +0200

python-opsi (4.0.7.1-1) testing; urgency=medium

  * forceObjectClass got a faster check to see if we are processing JSON.
  * OPSI.System.Posix: fixed typo: init -6 -> init 6.
  * OPSI.Backend.Backend: _testFilterAndAttributes is faster if attributes
    and filter are missing.
  * OPSI.Backend.Backend: _objectHashMatches now avoids temporary variable.
  * Improved iteration in many parts to be more efficient.
  * OPSI.Logger: Faster lookup for output color / level name.
  * Changed some log outputs to make use of the formatting during logging.
  * Updated hwaudit.conf: Now showing the number of physical and logical
    cores.
  * OPSI.Util.Task.ConfigureBackend.DHCP: only retrieve and show system
    information once.
  * 20_legacy.conf: Refactored setGeneralConfig.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 20 May 2016 15:44:59 +0200

python-opsi (4.0.6.50-1) experimental; urgency=medium

  * OPSI.Logger.Logger now is able to do formatting in the style of
    str.format. To format a message use the appropriate placeholders and
    then supply args / kwargs as needed.
    Formatting will only be applied if the message will actually be logged.
  * Improved logging during HTTP Connection.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 07 Jun 2016 10:47:44 +0200


